% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/read_functions.R
\name{parse_xpm}
\alias{parse_xpm}
\title{parse xpm (X PixMap) file content into structured data}
\usage{
parse_xpm(xpm_content)
}
\arguments{
\item{xpm_content}{a character string containing the xpm file content.}
}
\value{
a list with the following components:
\itemize{
\item data - Data frame containing matrix values with coordinates
\item title - Chart title extracted from xpm
\item legend - Legend text extracted from xpm
\item x_label - X-axis label extracted from xpm
\item y_label - Y-axis label extracted from xpm
\item color_map - Named list mapping color codes to hex values
\item color_values - Named list mapping color codes to numeric values
}
}
\description{
This function parses xpm file content, extracts metadata, color mappings,
and matrix data, returning a structured list for further processing.
}
\keyword{internal}
